using Entities.DTO;
using System.Net;

namespace TechHelper.Client.Services
{
	public interface IClassServices
	{
		public Task<ResponseDto> UserRegister(UserRegistrationToClassDto userRegistrationToClassDto);
		public Task<ResponseDto> CreateClass(UserRegistrationToClassDto userClass);
		public Task<ApiResponse> GetClassStudents();
		public Task<ApiResponse> GetGradeClasses(byte grade);
		public StudentExamDetailDto GetStudents(byte Class);
	}
}
